Package com.sap.ai.sdk.core.model

# Class RTAArtifact

java.lang.Object
com.sap.ai.sdk.core.model.RTAArtifact

public class RTAArtifact extends Object
Entity having labels

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `RTAArtifact.Builder`
  Builder helper class.
  `static interface`
  `RTAArtifact.Builder1`
  Builder helper class.
  `static interface`
  `RTAArtifact.Builder2`
  Builder helper class.
  `static interface`
  `RTAArtifact.Builder3`
  Builder helper class.
  `static interface`
  `RTAArtifact.Builder4`
  Builder helper class.
  `static enum`
  `RTAArtifact.KindEnum`
  Kind of the artifact, i.e.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RTAArtifact()`
  Default constructor for RTAArtifact.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RTAArtifact`
  `addLabelsItem(RTALabel labelsItem)`
  Add one labels instance to this `RTAArtifact`.
  `static RTAArtifact.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `RTAArtifact` instance with all required arguments.
  `RTAArtifact`
  `createdAt(OffsetDateTime createdAt)`
  Set the createdAt of this `RTAArtifact` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `RTAArtifact`
  `executionId(String executionId)`
  Set the executionId of this `RTAArtifact` instance and return the same instance.
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp of resource creation
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RTAArtifact`.
  `String`
  `getExecutionId()`
  ID of the execution
  `RTAArtifact.KindEnum`
  `getKind()`
  Kind of the artifact, i.e.
  `List<RTALabel>`
  `getLabels()`
  Arbitrary labels as meta information
  `String`
  `getName()`
  Name of the artifact; this is used for dependent pipelines to resolve an artifact
  `String`
  `getSignature()`
  Get signature
  `String`
  `getUrl()`
  Reference to the location of the artifact.
  `int`
  `hashCode()`
  `RTAArtifact`
  `kind(RTAArtifact.KindEnum kind)`
  Set the kind of this `RTAArtifact` instance and return the same instance.
  `RTAArtifact`
  `labels(List<RTALabel> labels)`
  Set the labels of this `RTAArtifact` instance and return the same instance.
  `RTAArtifact`
  `name(String name)`
  Set the name of this `RTAArtifact` instance and return the same instance.
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  Set the createdAt of this `RTAArtifact` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RTAArtifact` instance.
  `void`
  `setExecutionId(String executionId)`
  Set the executionId of this `RTAArtifact` instance.
  `void`
  `setKind(RTAArtifact.KindEnum kind)`
  Set the kind of this `RTAArtifact` instance.
  `void`
  `setLabels(List<RTALabel> labels)`
  Set the labels of this `RTAArtifact` instance.
  `void`
  `setName(String name)`
  Set the name of this `RTAArtifact` instance.
  `void`
  `setSignature(String signature)`
  Set the signature of this `RTAArtifact` instance.
  `void`
  `setUrl(String url)`
  Set the url of this `RTAArtifact` instance.
  `RTAArtifact`
  `signature(String signature)`
  Set the signature of this `RTAArtifact` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RTAArtifact` instance including unrecognized properties.
  `String`
  `toString()`
  `RTAArtifact`
  `url(String url)`
  Set the url of this `RTAArtifact` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RTAArtifact

    protected RTAArtifact()
    Default constructor for RTAArtifact.

- ## Method Details

  - ### name

    @Nonnull public RTAArtifact name(@Nonnull String name)
    Set the name of this `RTAArtifact` instance and return the same instance.
    Parameters:
      `name` - Name of the artifact; this is used for dependent pipelines to resolve an artifact
    Returns:
      The same instance of this `RTAArtifact` class

  - ### getName

    @Nonnull public String getName()
    Name of the artifact; this is used for dependent pipelines to resolve an artifact
    Returns:
      name The name of this `RTAArtifact` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `RTAArtifact` instance.
    Parameters:
      `name` - Name of the artifact; this is used for dependent pipelines to resolve an artifact

  - ### executionId

    @Nonnull public RTAArtifact executionId(@Nonnull String executionId)
    Set the executionId of this `RTAArtifact` instance and return the same instance.
    Parameters:
      `executionId` - ID of the execution
    Returns:
      The same instance of this `RTAArtifact` class

  - ### getExecutionId

    @Nonnull public String getExecutionId()
    ID of the execution
    Returns:
      executionId The executionId of this `RTAArtifact` instance.

  - ### setExecutionId

    public void setExecutionId(@Nonnull String executionId)
    Set the executionId of this `RTAArtifact` instance.
    Parameters:
      `executionId` - ID of the execution

  - ### url

    @Nonnull public RTAArtifact url(@Nonnull String url)
    Set the url of this `RTAArtifact` instance and return the same instance.
    Parameters:
      `url` - Reference to the location of the artifact. Note, the credentials will be found in a secret called 'some_bucket-object_store_secret'. If not provided, a default will be assumed.
    Returns:
      The same instance of this `RTAArtifact` class

  - ### getUrl

    @Nonnull public String getUrl()
    Reference to the location of the artifact. Note, the credentials will be found in a secret called 'some_bucket-object_store_secret'. If not provided, a default will be assumed.
    Returns:
      url The url of this `RTAArtifact` instance.

  - ### setUrl

    public void setUrl(@Nonnull String url)
    Set the url of this `RTAArtifact` instance.
    Parameters:
      `url` - Reference to the location of the artifact. Note, the credentials will be found in a secret called 'some_bucket-object_store_secret'. If not provided, a default will be assumed.

  - ### signature

    @Nonnull public RTAArtifact signature(@Nullable String signature)
    Set the signature of this `RTAArtifact` instance and return the same instance.
    Parameters:
      `signature` - The signature of this `RTAArtifact`
    Returns:
      The same instance of this `RTAArtifact` class

  - ### getSignature

    @Nonnull public String getSignature()
    Get signature
    Returns:
      signature The signature of this `RTAArtifact` instance.

  - ### setSignature

    public void setSignature(@Nullable String signature)
    Set the signature of this `RTAArtifact` instance.
    Parameters:
      `signature` - The signature of this `RTAArtifact`

  - ### kind

    @Nonnull public RTAArtifact kind(@Nonnull RTAArtifact.KindEnum kind)
    Set the kind of this `RTAArtifact` instance and return the same instance.
    Parameters:
      `kind` - Kind of the artifact, i.e. model or dataset
    Returns:
      The same instance of this `RTAArtifact` class

  - ### getKind

    @Nonnull public RTAArtifact.KindEnum getKind()
    Kind of the artifact, i.e. model or dataset
    Returns:
      kind The kind of this `RTAArtifact` instance.

  - ### setKind

    public void setKind(@Nonnull RTAArtifact.KindEnum kind)
    Set the kind of this `RTAArtifact` instance.
    Parameters:
      `kind` - Kind of the artifact, i.e. model or dataset

  - ### labels

    @Nonnull public RTAArtifact labels(@Nullable List<RTALabel> labels)
    Set the labels of this `RTAArtifact` instance and return the same instance.
    Parameters:
      `labels` - Arbitrary labels as meta information
    Returns:
      The same instance of this `RTAArtifact` class

  - ### addLabelsItem

    @Nonnull public RTAArtifact addLabelsItem(@Nonnull RTALabel labelsItem)
    Add one labels instance to this `RTAArtifact`.
    Parameters:
      `labelsItem` - The labels that should be added
    Returns:
      The same instance of type `RTAArtifact`

  - ### getLabels

    @Nonnull public List<RTALabel> getLabels()
    Arbitrary labels as meta information
    Returns:
      labels The labels of this `RTAArtifact` instance.

  - ### setLabels

    public void setLabels(@Nullable List<RTALabel> labels)
    Set the labels of this `RTAArtifact` instance.
    Parameters:
      `labels` - Arbitrary labels as meta information

  - ### createdAt

    @Nonnull public RTAArtifact createdAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `RTAArtifact` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp of resource creation
    Returns:
      The same instance of this `RTAArtifact` class

  - ### getCreatedAt

    @Nonnull public OffsetDateTime getCreatedAt()
    Timestamp of resource creation
    Returns:
      createdAt The createdAt of this `RTAArtifact` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `RTAArtifact` instance.
    Parameters:
      `createdAt` - Timestamp of resource creation

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RTAArtifact`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RTAArtifact` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RTAArtifact` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RTAArtifact` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RTAArtifact.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `RTAArtifact` instance with all required arguments.